petsc-3.4.2 2013-07-02

# SNESLineSearchSetSNES

Sets the SNES for the linesearch for function evaluation.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetSNES(SNESLineSearch linesearch, SNES snes)

### Input Parameters

| linesearch | - linesearch context
| snes | - The snes instance

### Notes

This happens automatically when the line search is gotten/created with SNESGetLineSearch(). This routine is therefore mainly called within SNES implementations.

### See Also

SNESLineSearchGetSNES(), SNESLineSearchSetVecs(), SNES

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages